/*******************************************************************************
* Copyright (c) 2021, Bayerische Motoren Werke Aktiengesellschaft (BMW AG)
*
* This program and the accompanying materials are made
* available under the terms of the Eclipse Public License 2.0
* which is available at https://www.eclipse.org/legal/epl-2.0/
*
* SPDX-License-Identifier: EPL-2.0
*******************************************************************************/

//-----------------------------------------------------------------------------
/** @file  simulation_time.h */
//-----------------------------------------------------------------------------

#ifndef SCENARIOABSTRACT_COMMON_SIMULATION_TIME_H
#define SCENARIOABSTRACT_COMMON_SIMULATION_TIME_H

#include <chrono>

namespace mantle_api
{
using SimulationTime = std::chrono::duration<std::int64_t, std::milli>;
}

#endif  // SCENARIOABSTRACT_COMMON_SIMULATION_TIME_H